# Class OptionsCellComponent

#### Implements

- AfterContentInit
- OnDestroy
- OnChanges

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:31

#####
Index

### Constructors

constructor

### Properties

_initialised
_subscription
defaultViewValue
emptyViewValue
options
renderer
value
viewValue

### Methods

getViewValue
ngAfterContentInit
ngOnChanges
ngOnDestroy
setViewValue

## Constructors

### constructor

- new OptionsCellComponent(renderer): OptionsCellComponent

- #### Parameters

  - renderer: Renderer2

  #### Returns OptionsCellComponent

  - Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:49

## Properties

### `Private` _initialised

_initialised: boolean = false

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:47

### `Private` `Readonly` _subscription

_subscription: Subscription = ...

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:45

### defaultViewValue

defaultViewValue: string

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:37

### emptyViewValue

emptyViewValue: string

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:41

### options

options: QueryList<MatOption<any>>

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:55

### `Private` `Readonly` renderer

renderer: Renderer2

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:49

### value

value: any

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:33

### viewValue

viewValue: string

- Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:43

## Methods

### getViewValue

- getViewValue(): string

- #### Returns string

  - Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:92

### ngAfterContentInit

- ngAfterContentInit(): void

- #### Returns void

  Implementation of AfterContentInit.ngAfterContentInit

  - Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:57

### ngOnChanges

- ngOnChanges(changes): void

- #### Parameters

  - changes: SimpleChanges

  #### Returns void

  Implementation of OnChanges.ngOnChanges

  - Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:84

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:99

### setViewValue

- setViewValue(): void

- #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/cells/options-cell/options-cell.component.ts:67